メインコンテンツへスキップ
PUT
/
team
/
threat-protection
チームの脅威保護ポリシーを更新
curl --request PUT \
  --url https://api.firecrawl.dev/v2/team/threat-protection \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "mode": "normal",
  "allowRequestOverrides": true,
  "blacklist": [
    "*.risky.example"
  ],
  "blockedTlds": [
    "zip"
  ],
  "failurePolicy": "closed",
  "riskScoreThreshold": 75,
  "whitelist": [
    "*.trusted.example"
  ]
}
'
{
  "data": {
    "allowRequestOverrides": true,
    "blacklist": [
      "*.risky.example"
    ],
    "blockedTlds": [
      "zip"
    ],
    "configured": true,
    "failurePolicy": "closed",
    "mode": "normal",
    "riskScoreThreshold": 75,
    "updatedAt": "2023-11-07T05:31:56Z",
    "whitelist": [
      "*.trusted.example"
    ]
  },
  "success": true
}
組織の脅威保護ポリシー全体を更新します。指定されていないフィールドはデフォルトにリセットされます。チーム管理者のみ。

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

ボディ

application/json
mode
enum<string>
必須

脅威保護モード。off はチェックを無効にします。normal はドメインを Google Web Risk でチェックします(スキャンしたドメインごとに +2 クレジット)。

利用可能なオプション:
off,
normal
:

"normal"

allowRequestOverrides
boolean

個別のリクエストで threatProtection オブジェクトを渡せるかどうか。false の場合、そのようなリクエストは 403 で拒否されます。

:

true

blacklist
string[]

分類器を呼び出さずに常にブロックする、完全一致のドメインまたはグロブ(例: *.example.com)。

:
["*.risky.example"]
blockedTlds
string[]

即座にブロックするトップレベルドメイン。先頭のドットは付けず、小文字で指定します。

:
["zip"]
failurePolicy
enum<string>

分類器に到達できない場合の動作。closed はブロック(デフォルト)、open は許可します。

利用可能なオプション:
open,
closed
:

"closed"

riskScoreThreshold
integer

分類器の判定がブロックされる正規化スコア(0~100)のしきい値。この値が低いほど厳格です。

必須範囲: 0 <= x <= 100
:

75

whitelist
string[]

常に許可される完全一致のドメインまたはグロブ。ほかのすべてのルールより優先されます。

:
["*.trusted.example"]

レスポンス

チームの組織に適用される有効な脅威保護ポリシー。

data
object
success
boolean
:

true